package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConvenioTransportadora;
import com.rjconsultores.ventaboletos.entidad.TarifaConvenioTransport;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ConvenioTransportadoraService extends GenericService<ConvenioTransportadora, Long> {

	public ConvenioTransportadora buscarPelaTransportadoraId(Long transportadoraId);

	public ConvenioTransportadora suscribirActualizar(ConvenioTransportadora convenio) throws BusinessException;

	public boolean existe(ConvenioTransportadora convenio);

	public boolean gravarTarifasConvenio(List<TarifaConvenioTransport> lsTarifaConvenioBanco);

}
